## shibboleth-sp 3.0.2+dfsg1

=== debian/changelog ===
shibboleth-sp (3.0.2+dfsg1-2) unstable; urgency=medium

  * [67b3246] Revert "Work around #909303 (empty usr/lib/debug directories left
    behind)"
    The bug was fixed in debhelper 11.4.1, so the previous workaround now
    breaks the build.
  * Upload to unstable (Closes: #909558)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 25 Nov 2018 18:27:46 +0100

shibboleth-sp (3.0.2+dfsg1-1) experimental; urgency=medium

  [ Russ Allbery ]
  * [d2fc4d9] Remove myself from Uploaders

  [ Etienne Dysli Metref ]
  * [f861012] Migrate VCS URLs to salsa.debian.org/shib-team

  [ Ferenc Wágner ]
  * [163a0e2] Use the 'replace' merge mode.
    The debian directory is not upstream territory, so this is safer.
    Unrelated change: the pristine-tar option is generic.
  * [c8c44b8] Exclude new non-free schema files from the orig tarball
  * [1bf2666] Exclude shibsp/paths.h from the orig tarball until it's fixed
    upstream
  * [5498f6b] Rename the source package before import (drop the 2)
  * [0bd7a79] New upstream release: 3.0.2
  * [81ee41d] Remove upstreamed patches, refresh the rest
  * [0e0df7e] Switch to Debhelper compat level 11
  * [ddc9b74] Stop repeating the common part of the package descriptions
  * [1826990] Multiarch doesn't need Pre-Depends anymore
  * [4d3b36b] ws-addr.xsd is under the W3C software license
  * [3859fc6] We left out several schema files for license reasons
  * [6ce0df5] Clean up trailing whitespace in debian/changelog
  * [b62b750] Update years and ax_pthread in debian/copyright
  * [a1bcdb4] Rework compiler flag handling in configure.
    This enables debug info generation and optimization by default, and also
    makes the --enable-debug option uninteresting for Debian.
  * [8fc734e] Lintian 2.5.80 dropped the Apache module dependency complaint
  * [33f7adf] Drop the version number (2) from package names.
    Shibboleth SP 3 requires XML-Security 2, log4shib 2, XMLTooling 3 and
    OpenSAML 3.  On the other hand some existing version constraints are
    satisfied even in oldstable now; drop these.
  * [ebfa6f6] Rename library package according to the new soversion
  * [2e58b34] Native log switched to syslog, /var/log/shibboleth-www is no more
  * [f025f96] Add Lintian overrides for descriptions of transitional packages
  * [b4ac707] I don't plan to provide symbols files
  * [a4fc454] Lintian warnings for web applications don't apply here
  * [297c231] Correct the README: we fully open access to /Shibboleth.sso by
    default
  * [c61dfa7] Move documentation into /usr/share/doc/libshibsp-dev/html.
    As recommended by Policy: this location is independent of the current
    dev/doc packaging split.  In the same vein use libshibsp-api as the
    Document ID for doc-base.
    At the same time, remove references to version 2.
  * [29247b3] Back out of dh-exec, because it does not work with --fail-missing
  * [b40b1c2] Revert "Fix fallout from dh-exec migration"
    We don't use dh-exec anymore, time to be terse.
  * [7e525ce] We do not ship the libtool archive files
  * [f1f2d26] New patch: seckeygen defaults for Debian
  * [a119ac2] Ship the new seckeygen utility with a shib- prefix
  * [d0cebbb] Provide a man page for shib-seckeygen
  * [d3c5b5e] Use ${misc:Recommends} provided by dh_apache2.
    It's empty for now, but we'd better connect it to avoid warnings and in
    case things change eventually.
  * [f383870] New patch: Do not distribute, but clean the generated
    shibsp/paths.h
  * [fab8247] We needn't clean shibsp/paths.h during packaging anymore.
    It was excluded from the orig tarball, which we have to repack anyway
    for DFSG reasons.  Once the corresponding build system patch is accepted
    upstream, this exclusion can go as well.
  * [c4187e9] Take over the renamed conffiles of the renamed packages.
    The symlinks pointing to the old files are removed on upgrade with
    the help of apache2-maintscript-helper.
    Removing the obsolete conffiles is optional, but easy and gets rid of
    clutter before the newly transitional packages are purged.
    The module name changed, so shib2.load is obsolete as well.
  * [f89b1c0] Use /run in our tmpfile to avoid deprecation warning.
    Otherwise systemd complains:
    [shibd.conf:1] Line references path below legacy directory /var/run/,
    updating /var/run/shibboleth → /run/shibboleth;
    please update the tmpfiles.d/ drop-in file accordingly.
  * [c40be54] New patch: Use --runstatedir from future Autoconf 2.70.
    This way the code does not rely on the /var/run compatibility symlink.
  * [f6ed7ba] Update Standards-Version to 4.2.1 (no changes required)
  * [0a57ca6] Start shibd after the upgrade.
    On compat 11, Debhelper attempts to start services before unmasking them
    (#887904).  This would leave shibd stopped after the 2->3 upgrade.
    Let's switch to the experimental level 12 and require a Debhelper
    version containing the fix.  Niels intends to release compat 12 as
    stable before buster is released.
  * [0376397] Work around #909303 (empty usr/lib/debug directories left behind)

 -- Ferenc Wágner <wferi@debian.org>  Fri, 21 Sep 2018 12:33:42 +0200

shibboleth-sp2 (2.6.1+dfsg1-2) unstable; urgency=medium

  [ Etienne Dysli Metref ]
  * [2769cd5] Install upstream's default Apache 2.4 configuration.
    Install upstream's default Apache 2.4 configuration in addition to the
    module-loading directive. Notably, this configuration enables
    unrestricted access to the handler at `/Shibboleth.sso`. (Closes: #881724)
  * [7c68ed5] Install in conf-available instead of mods-available
  * [3ac4321] Mention the new shib2.conf in NEWS
  * [360c69a] Mention the new shib2.conf in README.Debian

  [ Ferenc Wágner ]
  * [f81dc2c] Update the download URL in README.Debian
  * [18edc54] Update Standards-Version to 4.1.3 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Thu, 04 Jan 2018 17:30:38 +0100

shibboleth-sp2 (2.6.1+dfsg1-1) unstable; urgency=high


