=== debian/control ===
Source: shibboleth-sp
Section: web
Priority: optional
Maintainer: Debian Shib Team <pkg-shibboleth-devel@lists.alioth.debian.org>
Uploaders:
 Ferenc Wágner <wferi@debian.org>,
 Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
Build-Depends:
 apache2-dev,
# we need #887904 fixed, which also forces us to use compat level 12:
 debhelper (>= 11.4~),
 dh-apache2,
 libboost-dev,
 libfcgi-dev,
 libkrb5-dev,
 liblog4shib-dev (>= 2~),
 libmemcached-dev,
 libsaml-dev (>= 3~),
 libsystemd-dev [linux-any],
 libxerces-c-dev,
 libxml-security-c-dev (>= 2~),
 libxmltooling-dev (>= 3~),
 opensaml-schemas (>= 3~),
 pkg-config,
 unixodbc-dev,
 xmltooling-schemas,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.2.1
Homepage: http://shibboleth.net/
Vcs-Git: https://salsa.debian.org/shib-team/shibboleth-sp2.git
Vcs-Browser: https://salsa.debian.org/shib-team/shibboleth-sp2
X-Common-Description: The Shibboleth System is a standards based software
 package for web single sign-on across or within organizational boundaries.
 It supports authorization and attribute exchange using the OASIS SAML 2.0
 protocol.  Shibboleth allows sites to make informed authorization decisions
 for individual access of protected online resources while allowing users to
 establish their identities with their local authentication systems.

Package: libapache2-mod-shib
Section: httpd
Architecture: any
Depends:
 libshibsp-plugins (= ${binary:Version}),
 shibboleth-sp-utils (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${misc:Recommends},
Replaces:
 libapache2-mod-shib2 (<< 3~),
Breaks:
 libapache2-mod-shib2 (<< 3~),
Description: Federated web single sign-on system (Apache module)
 ${S:X-Common-Description}
 .
 This package contains the Shibboleth Apache module for service providers
 (web servers providing resources protected by Shibboleth) and the
 supporting shibd daemon.

Package: libshibsp8
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 opensaml-schemas (>= 3~),
# any->all dependencies mustn't use ${binary:Version}:
 shibboleth-sp-common (= ${source:Version}),
 xmltooling-schemas (>= 3~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Federated web single sign-on system (runtime)
 ${S:X-Common-Description}
 .
 This package contains the Shibboleth SP runtime library.

Package: libshibsp-plugins
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Federated web single sign-on system (plugins)
 ${S:X-Common-Description}
 .
 This package contains plugins for the Shibboleth SP library.

Package: libshibsp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsaml-dev (>= 3~),
 libshibsp8 (= ${binary:Version}),
 libxerces-c-dev,
 libxmltooling-dev (>= 3~),
 ${misc:Depends},
Suggests:
 libshibsp-doc,
Description: Federated web single sign-on system (development)
 ${S:X-Common-Description}
 .
 This package contains the headers and other necessary files to build
 applications that use the Shibboleth SP library.

Package: libshibsp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Federated web single sign-on system (API docs)
 ${S:X-Common-Description}
 .
 This package contains the Shibboleth SP library API documentation.

Package: shibboleth-sp-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Replaces:
 shibboleth-sp2-common (<< 3~),
Breaks:
 shibboleth-sp2-common (<< 3~),
Description: Federated web single sign-on system (common files)
 ${S:X-Common-Description}
 .
 This package contains common files used by the Shibboleth SP library,
 Apache module, and daemon, primarily configuration files and schemas.

Package: shibboleth-sp-utils
Architecture: any
Multi-Arch: foreign
# The fix for #887904 requires recent init-system-helpers:
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 libshibsp-plugins (= ${binary:Version}),
# the init script sources /lib/lsb/init-functions:
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 openssl,
Replaces:
 shibboleth-sp2-utils (<< 3~),
Breaks:
 shibboleth-sp2-utils (<< 3~),
Description: Federated web single sign-on system (daemon and utilities)
 ${S:X-Common-Description}
 .
 This package contains the daemon that handles attribute requests and
 maintains session information for the SP.  It is used internally by the
 Apache module (libapache2-mod-shib2), but may be useful independently in
 some circumstances.  It also contains some other useful Shibboleth SP
 utility programs and the FastCGI authorizer and responder.

Package: libapache2-mod-shib2
Section: oldlibs
Architecture: all
Depends:
 libapache2-mod-shib,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: shibboleth-sp2-common
Section: oldlibs
Architecture: all
Depends:
 shibboleth-sp-common,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: shibboleth-sp2-utils
Section: oldlibs
Architecture: all
Depends:
 shibboleth-sp-utils,
 ${misc:Depends},
Description: transitional package
 This is a transitional package. It can safely be removed.
