## shibboleth-sp 3.0.3+dfsg1

=== debian/changelog ===
shibboleth-sp (3.0.3+dfsg1-1) unstable; urgency=medium

  * [5ff63ef] New upstream release: 3.0.3
  * [11f51c2] Remove upstreamed patches, refresh the rest
  * [5944626] shibsp/paths.h is not distributed anymore

 -- Ferenc Wágner <wferi@debian.org>  Fri, 21 Dec 2018 02:15:22 +0100
