## shibboleth-sp 3.0.4%2Bdfsg1

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
repack,\
compression=xz,\
pgpsigurlmangle=s/$/.asc/" \
    https://shibboleth.net/downloads/service-provider/latest/ \
    shibboleth-sp-([\d.]+)\.tar\.bz2
