## shibboleth-sp 3.0.4+dfsg1

=== debian/changelog ===
shibboleth-sp (3.0.4+dfsg1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * [a59a722] Require Xerces-C 3.2
  * [bf9c096] Revert "Lintian 2.5.80 dropped the Apache module dependency
    complaint"
    Restore Lintian override for
    apache2-module-depends-on-real-apache2-package apache2-bin in order to
    build on stretch.
    This reverts commit 8fc734e257ca7170db0de498f6333a71081eeea4.

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Mon, 01 Apr 2019 10:37:46 +0200

shibboleth-sp (3.0.4+dfsg1-1) unstable; urgency=medium

  * [f284741] New upstream release: 3.0.4
  * [095e478] Refresh our patches
  * [129417f] Update Standards-Version to 4.3.0 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 16 Mar 2019 20:51:16 +0100

shibboleth-sp2 (2.6.1+dfsg1-2~bpo9+1) stretch-backports; urgency=medium

  [ Etienne Dysli Metref ]
  * [7679663] Force use of backported dependencies
    - opensaml2 >= 2.6.1-1~
    - xmltooling >= 1.6.2-1~

  [ Ferenc Wágner ]
  * Rebuild for stretch-backports.

 -- Ferenc Wágner <wferi@debian.org>  Mon, 12 Feb 2018 21:09:58 +0100
