=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libmemcached-dev,
  libsaml-dev (>= 3~),
  libsystemd-dev [linux-any],
- libxerces-c-dev,
+ libxerces-c-dev (>= 3.2~),
  libxml-security-c-dev (>= 2~),
  libxmltooling-dev (>= 3~),
  opensaml-schemas (>= 3~),
@@ -27,7 +27,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://shibboleth.net/
 Vcs-Git: https://salsa.debian.org/shib-team/shibboleth-sp2.git
 Vcs-Browser: https://salsa.debian.org/shib-team/shibboleth-sp2
@@ -43,6 +43,8 @@
 Architecture: any
 Depends:
  libshibsp-plugins (= ${binary:Version}),
+ libshibsp8 (= ${binary:Version}),
+ libxmltooling8 (>= 3~),
  shibboleth-sp-utils (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -64,6 +66,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libsaml10 (>= 3~),
+ libxmltooling8 (>= 3~),
  opensaml-schemas (>= 3~),
 # any->all dependencies mustn't use ${binary:Version}:
  shibboleth-sp-common (= ${source:Version}),
@@ -80,6 +84,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libsaml10 (>= 3~),
+ libshibsp8 (= ${binary:Version}),
+ libxmltooling8 (>= 3~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Federated web single sign-on system (plugins)
@@ -94,7 +101,7 @@
 Depends:
  libsaml-dev (>= 3~),
  libshibsp8 (= ${binary:Version}),
- libxerces-c-dev,
+ libxerces-c-dev (>= 3.2~),
  libxmltooling-dev (>= 3~),
  ${misc:Depends},
 Suggests:
@@ -140,7 +147,10 @@
  ${misc:Pre-Depends},
 Depends:
  adduser,
+ libsaml10 (>= 3~),
  libshibsp-plugins (= ${binary:Version}),
+ libshibsp8 (= ${binary:Version}),
+ libxmltooling8 (>= 3~),
 # the init script sources /lib/lsb/init-functions:
  lsb-base,
  ${misc:Depends},
