## shibboleth-sp 3.1.0+dfsg1

=== debian/changelog ===
shibboleth-sp (3.1.0+dfsg1-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

  [ Ferenc Wágner ]
  * [281f216] Salsa-CI does not support stretch-backports-sloppy

  [ Etienne Dysli Metref ]
  * [0752e0c] Require Xerces-C 3.2
    (cherry picked from commit a59a722750028012dcc2b1772fade017d658731f)
  * [88ecb32] Revert "Lintian 2.5.80 dropped the Apache module dependency
    complaint"
    Restore Lintian override for
    apache2-module-depends-on-real-apache2-package apache2-bin in order to
    build on stretch.
    This reverts commit 8fc734e257ca7170db0de498f6333a71081eeea4.
    (cherry picked from commit bf9c0961263df54ff1b265e08ac1b867dbb5ef4a)
  * [af69e88] Specify debhelper compat level the old way.
    Keep debhelper compat level 12, but specify it the old way. Otherwise,
    the older lintian in stretch produces the error
    package-uses-debhelper-but-lacks-build-depends and other warnings
    related to debhelper.
  * [47c5a40] Use backported xmltooling and opensaml 3.1

 -- Ferenc Wágner <wferi@debian.org>  Wed, 05 Aug 2020 21:46:28 +0200

shibboleth-sp (3.1.0+dfsg1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * [3958e83] Salsa-CI: Set release to buster-backports.

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Mon, 20 Jul 2020 14:07:32 +0200

shibboleth-sp (3.1.0+dfsg1-2) unstable; urgency=medium

  * [682128d] The transition to versionless package names is complete
  * [57c5b12] Enable unit tests
  * [e541bfc] New patch: Prefer the plain cxxtestgen program
  * [b1a7fbc] New patch: Turn shibsptest into an Automake test suite
  * [5ea553f] Autopkgtest for libshibsp
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Thu, 25 Jun 2020 22:28:20 +0200

shibboleth-sp (3.1.0+dfsg1-1) experimental; urgency=medium

  * [d507efb] Don't single out the amd64 architecture in the Lintian overrides
  * [1b21b7c] Fix POSIX incompatibility in maintainer script.
    Thanks to Ralf Treinen (Closes: #925006)
  * [badab37] New upstream release: 3.1.0
  * [5028ea6] Refresh our patches
  * [f96bc1f] New patch: Forgot to update xmltooling/opensaml check.
    Thanks to Scott Cantor
  * [4c2796c] Require XMLTooling and OpenSAML 3.1
  * [0d9d822] Rename library package for upstream SONAME bump
  * [2592aaf] Enroll to basic Salsa CI
  * [7955518] Upgrade Standards-Version to 4.5.0 (no changes required)
  * [5a0e440] Declare Debhelper compat level 12 the modern way
  * [27a7727] Enable rootless build
  * [dafcf4e] Strip extra signatures from the upstream tarball signing key
  * [d28a397] Update packaging list email address
  * [08a4f6d] NO_START functionality belongs to the init system

 -- Ferenc Wágner <wferi@debian.org>  Wed, 29 Apr 2020 16:37:32 +0200
