## shibboleth-sp 3.2.0+dfsg1

=== debian/changelog ===
shibboleth-sp (3.2.0+dfsg1-2) unstable; urgency=medium

  * [84158eb] Revert "New patch: Require XMLTooling and OpenSAML 3.2 via pkg
    config as well"
    This reverts commit 431b176b3127bb0b0ebfb9621a798facec24cce3.
    According to upstream there's no real build requirement here.
  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Wed, 06 Jan 2021 14:18:54 +0100

shibboleth-sp (3.2.0+dfsg1-1) experimental; urgency=medium

  * [6af8bd7] Bump watch file format version to 4
  * [ce7b33d] New upstream release: 3.2.0
  * [4a6d968] Delete upstream patch, refresh the rest
  * [431b176] New patch: Require XMLTooling and OpenSAML 3.2 via pkg config as
    well
  * [20a1f52] Depend on XMLTooling and OpenSAML 3.2
  * [3d4409a] Rename library package for upstream SONAME bump
  * [54cf316] Update Standards-Version to 4.5.1 (no changes required)

 -- Ferenc Wágner <wferi@debian.org>  Sun, 27 Dec 2020 22:13:32 +0100
