## shibboleth-sp 3.2.1+dfsg1

=== debian/changelog ===
shibboleth-sp (3.2.1+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>  Mon, 22 Mar 2021 13:11:57 +0100

shibboleth-sp (3.2.1+dfsg1-1) unstable; urgency=high

  * [4ecfe4a] New upstream release: 3.2.1
    High urgency because it contains the fix for the phishing vulnerability
    https://shibboleth.net/community/advisories/secadv_20210317.txt.
  * [80b3470] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Wed, 17 Mar 2021 14:29:08 +0100
