## shibboleth-sp 3.2.2+dfsg1

=== debian/changelog ===
shibboleth-sp (3.2.2+dfsg1-1+deb11u1) bullseye-security; urgency=high

  * New patch: SSPCPP-1014 - Extend escaping in strings.
    Fix SQL injection vulnerability in Service Provider ODBC plugin:
    specially crafted inputs can exfiltrate information stored in the
    database used by the SP.  The vulnerability is moderate to high
    severity for anyone using the ODBC plugin, and of no impact for others.
    Thanks to Scott Cantor (Closes: #1114506, CVE-2025-9943)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 14 Sep 2025 22:35:18 +0200

shibboleth-sp (3.2.2+dfsg1-1) unstable; urgency=high

  * [e44283d] New upstream release: 3.2.2
    High urgency because it fixes CVE-2021-31826:
    Session recovery feature contains a null pointer dereference
    The cookie-based session recovery feature added in V3.0 contains a
    flaw that is exploitable on systems *not* using the feature if a
    specially crafted cookie is supplied.
    This manifests as a crash in the shibd daemon.
    Because it is very simple to trigger this condition remotely, it
    results in a potential denial of service condition exploitable by
    a remote, unauthenticated attacker.
    Thanks to Scott Cantor (Closes: #987608)
  * [3a6ac33] Refresh our patches

 -- Ferenc Wágner <wferi@debian.org>  Tue, 27 Apr 2021 12:11:06 +0200
