## shibboleth-sp 3.3.0+dfsg1

=== debian/changelog ===
shibboleth-sp (3.3.0+dfsg1-1) unstable; urgency=medium

  * [0ce609d] New upstream release: 3.3.0
  * [57067e0] Drop upstreamed patches, refresh the rest

 -- Ferenc Wágner <wferi@debian.org>  Wed, 01 Dec 2021 21:44:29 +0100

shibboleth-sp (3.2.3+dfsg1-1) unstable; urgency=medium

  [ Ferenc Wágner ]
  * [147bb17] Remove stale comment from debian/copyright
    shibsp/paths.h has not been distributed since version 3.0.3.
  * [9488c47] Set field Upstream-Name in debian/copyright
  * [bbdedb6] New upstream release: 3.2.3
  * [15ea78b] Refresh our patches
  * [68f4827] Accommodate more context in the Lintian webapp warning
  * [9b29d1e] Update Standards-Version to 4.6.0 (no changes required)

  [ Debian Janitor ]
  * [b452f06] Use secure URI in Homepage field

 -- Ferenc Wágner <wferi@debian.org>  Sat, 02 Oct 2021 15:15:41 +0200
