=== debian/control ===
--- 
+++ 
@@ -9,28 +9,28 @@
  apache2-dev,
  cxxtest,
 # we need #887904 fixed, which also forces us to use compat level 12:
- debhelper (>= 12~),
+ debhelper-compat (= 12),
  dh-apache2,
  libboost-dev,
  libfcgi-dev,
  libkrb5-dev,
  liblog4shib-dev (>= 2~),
  libmemcached-dev,
- libsaml-dev (>= 3.1~),
+ libsaml-dev (>= 3.2~),
  libsystemd-dev [linux-any],
- libxerces-c-dev (>= 3.2~),
+ libxerces-c-dev,
  libxml-security-c-dev (>= 2~),
- libxmltooling-dev (>= 3.1~),
- opensaml-schemas (>= 3.1~),
+ libxmltooling-dev (>= 3.2~),
+ opensaml-schemas (>= 3.2~),
  pkg-config,
  unixodbc-dev,
  xmltooling-schemas,
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Homepage: http://shibboleth.net/
+Homepage: https://shibboleth.net/
 Vcs-Git: https://salsa.debian.org/shib-team/shibboleth-sp2.git
 Vcs-Browser: https://salsa.debian.org/shib-team/shibboleth-sp2
 X-Common-Description: The Shibboleth System is a standards based software
@@ -57,15 +57,15 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp9
+Package: libshibsp10
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
- opensaml-schemas (>= 3.1~),
+ opensaml-schemas (>= 3.2~),
 # any->all dependencies mustn't use ${binary:Version}:
  shibboleth-sp-common (= ${source:Version}),
- xmltooling-schemas (>= 3.1~),
+ xmltooling-schemas (>= 3.2~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Federated web single sign-on system (runtime)
@@ -90,10 +90,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml-dev (>= 3.1~),
- libshibsp9 (= ${binary:Version}),
- libxerces-c-dev (>= 3.2~),
- libxmltooling-dev (>= 3.1~),
+ libsaml-dev (>= 3.2~),
+ libshibsp10 (= ${binary:Version}),
+ libxerces-c-dev,
+ libxmltooling-dev (>= 3.2~),
  ${misc:Depends},
 Suggests:
  libshibsp-doc,
