=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts="dversionmangle=s/\+dfsg\d*$//,\
 repacksuffix=+dfsg1,\
 repack,\
