## shibboleth-sp 3.4.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: shibboleth-sp
 Section: web
 Priority: optional
-Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  apache2-dev,
  cxxtest,
-# we need #887904 fixed, which also forces us to use compat level 12:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-apache2,
  libboost-dev,
  libfcgi-dev,
  libkrb5-dev,
- liblog4shib-dev (>= 2~),
+ liblog4shib-dev,
  libmemcached-dev,
  libsaml-dev (>= 3.2~),
  libsystemd-dev [linux-any],
  libxerces-c-dev,
- libxml-security-c-dev (>= 2~),
+ libxml-security-c-dev,
  libxmltooling-dev (>= 3.2~),
  opensaml-schemas (>= 3.2~),
  pkg-config,
@@ -28,7 +28,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://shibboleth.net/
 Vcs-Git: https://salsa.debian.org/shib-team/shibboleth-sp2.git
@@ -57,7 +57,10 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp10
+Package: libshibsp11t64
+Provides: ${t64:Provides}
+Replaces: libshibsp11
+Breaks: libshibsp11 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -91,7 +94,7 @@
 Multi-Arch: same
 Depends:
  libsaml-dev (>= 3.2~),
- libshibsp10 (= ${binary:Version}),
+ libshibsp11t64 (= ${binary:Version}),
  libxerces-c-dev,
  libxmltooling-dev (>= 3.2~),
  ${misc:Depends},
@@ -135,8 +138,6 @@
 Depends:
  adduser,
  libshibsp-plugins (= ${binary:Version}),
-# the init script sources /lib/lsb/init-functions:
- lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
