## shibboleth-sp 3.4.1+dfsg

=== debian/changelog ===
shibboleth-sp (3.4.1+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Mon, 30 Jan 2023 08:04:53 +0100

shibboleth-sp (3.4.1+dfsg-1) experimental; urgency=medium

  [ Ferenc Wágner ]
  * [119a057] New patch: configure.ac: AC_MSG_ERROR can't be used as value-if-
    not-found
  * [59f87e2] Disable building Apache modules for shibsptest.
    They aren't needed and weren't built beforehand either because the
    Apache development tools aren't installed in the autopkgtest
    environment, but our latest patch fixed the configure script to fail
    in such cases as intended, so we have to be explicit from now on.
  * [8b58b70] Drop the obsolete lsb-base dependency
    sysvinit-utils_3.05-1 took over /lib/lsb/init-functions from lsb-base,
    which became an empty transitional package.  Sysvinit-utils is
    essential now, so we needn't depend on it explicitly, but if that ever
    changes (see #851747) the sysvinit-core package will still depend on
    it, providing the function library to our init script if it has a real
    chance to execute.  (The compatibility layer of systemd won't try to
    use the init script, because we provide a native systemd unit.)
    This change is unsuitable for bullseye backports.
  * [deee373] Update Standards-Version to 4.6.2 (no changes required)
  * [d8c04ea] Adapt Lintian overrides to new message format
  * [f992224] Update copyright of the packaging
  * [4fffee9] The repack number has always been 1, drop it
  * [22c7144] New upstream release: 3.4.1
  * [dc6bbc9] Refresh our patches
  * [c87bb46] Rename library package for upstream SONAME bump (libshibsp11)
  * [5a74ac0] Switch to Debhelper compat level 13.
    Change the name of our file in tmpfiles.d from shibd to
    shibboleth-sp-utils, because dh_installtmpfiles is not as flexible as
    dh_installsystemd was on level 12.
  * [25d661b] libapache2-mod-shib.NEWS was almost five years old, nothing new
  * [f862571] Add Forwarded: not-needed to some Debian-specific patches.
    To those which Lintian misidentifies as DEP3 and thus warns about.
    We use gbp pq, which does not produce DEP3 formatted patch files.
  * [e2173d1] Update upstream copyrights.
    Where the license permits via a special exception, change it to that
    of the main package (Apache-2.0) and collect the additional copyrights
    in the generic paragraph.
  * [37ff7c0] Add debian/upstream/metadata

  [ Debian Janitor ]
  * [0e325fc] Remove constraints unnecessary since buster
    * Build-Depends: Drop versioned constraint on liblog4shib-dev and
      libxml-security-c-dev.
    * Remove 3 maintscript entries from 1 files.
    Changes-By: deb-scrub-obsolete

 -- Ferenc Wágner <wferi@debian.org>  Sat, 21 Jan 2023 20:33:50 +0100
