=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: shibboleth-sp
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
+Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
  Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  apache2-dev,
  cxxtest,
  debhelper-compat (= 13),
@@ -57,10 +56,7 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp11t64
-Provides: ${t64:Provides}
-Replaces: libshibsp11
-Breaks: libshibsp11 (<< ${source:Version})
+Package: libshibsp11
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -94,7 +90,7 @@
 Multi-Arch: same
 Depends:
  libsaml-dev (>= 3.2~),
- libshibsp11t64 (= ${binary:Version}),
+ libshibsp11 (= ${binary:Version}),
  libxerces-c-dev,
  libxmltooling-dev (>= 3.2~),
  ${misc:Depends},
