## shibboleth-sp 3.5.0+dfsg

=== debian/changelog ===
shibboleth-sp (3.5.0+dfsg-2+deb13u1) trixie-security; urgency=high

  * [627cc27] New patch: SSPCPP-1014 - Extend escaping in strings.
    Fix SQL injection vulnerability in Service Provider ODBC plugin:
    specially crafted inputs can exfiltrate information stored in the
    database used by the SP.  The vulnerability is moderate to high
    severity for anyone using the ODBC plugin, and of no impact for others.
    Thanks to Scott Cantor (Closes: #1114506)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 06 Sep 2025 11:46:12 +0200

shibboleth-sp (3.5.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable

 -- Ferenc Wágner <wferi@debian.org>  Sun, 12 Jan 2025 13:52:44 +0100

shibboleth-sp (3.5.0+dfsg-1) experimental; urgency=medium

  * [cfa853e] New upstream release: 3.5.0
  * [0f70cd8] Drop upstreamed patch
  * [b7eb952] Adjust library package name to the new SO version
  * [6cdd380] Require XMLTooling 3.3 and OpenSAML 3.3
  * [7508c54] pkgconf superseded pkg-config
  * [66abc38] Update Standards-Version to 4.7.0 (no changes required)
  * [bec7c0b] Update copyright years
  * [a77ab36] Remove Etienne Dysli Metref from Uploaders.
    Thanks for your work, Etienne, and best wishes for your future
    endeavors!

 -- Ferenc Wágner <wferi@debian.org>  Fri, 03 Jan 2025 23:10:59 +0100

shibboleth-sp (3.4.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062895

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:49:16 +0000
