=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Shib Team <pkg-shibboleth-devel@alioth-lists.debian.net>
 Uploaders:
  Ferenc Wágner <wferi@debian.org>,
- Etienne Dysli Metref <etienne.dysli-metref@switch.ch>,
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  apache2-dev,
  cxxtest,
  debhelper-compat (= 13),
@@ -15,19 +14,19 @@
  libkrb5-dev,
  liblog4shib-dev,
  libmemcached-dev,
- libsaml-dev (>= 3.2~),
+ libsaml-dev (>= 3.3~),
  libsystemd-dev [linux-any],
  libxerces-c-dev,
  libxml-security-c-dev,
- libxmltooling-dev (>= 3.2~),
- opensaml-schemas (>= 3.2~),
- pkg-config,
+ libxmltooling-dev (>= 3.3~),
+ opensaml-schemas (>= 3.3~),
+ pkgconf,
  unixodbc-dev,
  xmltooling-schemas,
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://shibboleth.net/
 Vcs-Git: https://salsa.debian.org/shib-team/shibboleth-sp2.git
@@ -56,15 +55,15 @@
  (web servers providing resources protected by Shibboleth) and the
  supporting shibd daemon.
 
-Package: libshibsp11
+Package: libshibsp12
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
- opensaml-schemas (>= 3.2~),
+ opensaml-schemas (>= 3.3~),
 # any->all dependencies mustn't use ${binary:Version}:
  shibboleth-sp-common (= ${source:Version}),
- xmltooling-schemas (>= 3.2~),
+ xmltooling-schemas (>= 3.3~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Federated web single sign-on system (runtime)
@@ -89,10 +88,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsaml-dev (>= 3.2~),
- libshibsp11 (= ${binary:Version}),
+ libsaml-dev (>= 3.3~),
+ libshibsp12 (= ${binary:Version}),
  libxerces-c-dev,
- libxmltooling-dev (>= 3.2~),
+ libxmltooling-dev (>= 3.3~),
  ${misc:Depends},
 Suggests:
  libshibsp-doc,
