=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 
 override_dh_auto_install:
 	NOKEYGEN=1 dh_auto_install
+	find debian/tmp -name "*.la" -delete
 
 docdir = debian/tmp/usr/share/doc/shibboleth-*
 override_dh_install:
@@ -72,10 +73,6 @@
 override_dh_installsystemd:
 	dh_installsystemd --name=shibd
 
-override_dh_missing:
-	find debian/tmp -name "*.la" -delete
-	dh_missing --fail-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/shibboleth
