=== debian/tests/control ===
Depends: libshibsp-dev,
  automake, libtool,
  cxxtest,
  g++, make, pkgconf
Restrictions: allow-stderr
Tests: shibsptest
