## shibboleth-sp 3.5.1+dfsg

=== debian/changelog ===
shibboleth-sp (3.5.1+dfsg-1) unstable; urgency=high

  * Urgency set to high for security fix.
  * [d265d78] New upstream release: 3.5.1 (Closes: #1114506)
    Fix SQL injection vulnerability in Service Provider ODBC plugin:
    specially crafted inputs can exfiltrate information stored in the
    database used by the SP.  The vulnerability is moderate to high
    severity for anyone using the ODBC plugin, and of no impact for others.
  * [059241e] Refresh our patches
  * [5a80567] Update Standards-Version to 4.7.2 (no changes required)
  * [9a8761b] New patch: Disable Doxygen's SHORT_NAMES to gain reproducibility

 -- Ferenc Wágner <wferi@debian.org>  Sat, 06 Sep 2025 13:35:57 +0200
