=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://shibboleth.net/
 Vcs-Git: https://salsa.debian.org/shib-team/shibboleth-sp2.git
