## shibboleth-sp 3.5.2+dfsg

=== debian/changelog ===
shibboleth-sp (3.5.2+dfsg-1) unstable; urgency=medium

  * [02dd0fe] New upstream release: 3.5.2
  * [5663da2] Refresh our patches
  * [8f3c923] Update Standards-Version to 4.7.3 (no changes required)
  * [d81379f] Update copyright years

 -- Ferenc Wágner <wferi@debian.org>  Sun, 01 Feb 2026 22:30:21 +0100
